Name:		edgar
Version:	1.37
Release:	%mkrel 2
Summary:	The Legend of Edgar - 2D platform game
Group:		Games/Adventure
License:	GPLv2+
URL:		https://www.parallelrealities.co.uk/games/edgar/
Source0:	https://github.com/riksweeney/edgar/releases/download/%{version}/%{name}-%{version}-1.tar.gz

BuildRequires:	gettext
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(zlib)
Requires:	%{name}-data >= %{version}

%description
The Legend of Edgar is a platform game, not unlike those found on the Amiga
and SNES. Edgar must battle his way across the world, solving puzzles and
defeating powerful enemies to achieve his quest.

Story: When his father fails to return home after venturing out one dark and
stormy night, Edgar fears the worst: he has been captured by the evil
sorcerer who lives in a fortress beyond the forbidden swamp.
Donning his armor, Edgar sets off to rescue him, but his quest will not be
easy...

%package data
Summary:	Data files for The Legend of Edgar
Group:		Games/Adventure
# License issues for the content were fixed in version 1.10
# All sounds and music are now respectively CC0 or CC-BY or CC-BY-SA
# (see $SOURCE0/doc/changes and $SOURCE0/doc/music_and_sound_licences)
License:	CC0 or CC-BY or CC-BY-SA
BuildArch:	noarch

%description data
This package contains games data files for The Legend of Edgar.

%prep
%autosetup -p1

sed -i 's/LDFLAGS += -s/:/' makefile

%build
%set_build_flags
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_gamesbindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_docdir}/%{name}/
%{_mandir}/man6/%{name}.6*

%files data
%{_gamesdatadir}/%{name}/


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.37-2.mga10
+ Revision: 2221185
- Mageia 10 Mass Rebuild

* Thu Feb 01 2024 daviddavid <daviddavid> 1.37-1.mga10
+ Revision: 2036647
- new version: 1.37

* Sun Jan 01 2023 daviddavid <daviddavid> 1.36-1.mga9
+ Revision: 1928635
- new version: 1.36

* Fri Dec 30 2022 daviddavid <daviddavid> 1.35-1.mga9
+ Revision: 1927997
- new version: 1.35

* Fri Apr 01 2022 umeabot <umeabot> 1.34-2.mga9
+ Revision: 1839965
- Mageia 9 Mass Rebuild

* Sun Jan 03 2021 akien <akien> 1.34-1.mga8
+ Revision: 1668395
- Version 1.34

* Mon Oct 19 2020 akien <akien> 1.33-1.mga8
+ Revision: 1636978
- Version 1.33

* Thu Feb 20 2020 umeabot <umeabot> 1.32-2.mga8
+ Revision: 1547591
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 1.32-1.mga8
+ Revision: 1488148
- new version: 1.32
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Apr 21 2019 akien <akien> 1.31-1.mga7
+ Revision: 1394571
- Version 1.31

* Sun Sep 23 2018 umeabot <umeabot> 1.29-2.mga7
+ Revision: 1297567
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 1.29-1.mga7
+ Revision: 1229344
- Version 1.29

* Fri Jul 07 2017 akien <akien> 1.27-1.mga6
+ Revision: 1109405
- Version 1.27

* Thu Jan 05 2017 akien <akien> 1.26-1.mga6
+ Revision: 1080270
- Version 1.26

* Sat Oct 08 2016 akien <akien> 1.25-1.mga6
+ Revision: 1059544
- Version 1.25

* Fri Apr 15 2016 akien <akien> 1.23-1.mga6
+ Revision: 1002791
- Version 1.23

* Thu Feb 11 2016 umeabot <umeabot> 1.21-2.mga6
+ Revision: 953823
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 akien <akien> 1.21-1.mga6
+ Revision: 885896
- Version 1.21
- Fix broken man page (was doubly compressed, and thus unreadable)

* Fri Dec 19 2014 akien <akien> 1.19-1.mga5
+ Revision: 804252
- Add manpage to %%files
- Version 1.19, translations update

* Mon Oct 20 2014 akien <akien> 1.18-1.mga5
+ Revision: 792174
- Version 1.18

* Wed Oct 15 2014 umeabot <umeabot> 1.17-3.mga5
+ Revision: 749496
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.17-2.mga5
+ Revision: 678957
- Mageia 5 Mass Rebuild

* Sun Aug 03 2014 akien <akien> 1.17-1.mga5
+ Revision: 659508
- Version 1.17

* Sat Mar 01 2014 akien <akien> 1.15-1.mga5
+ Revision: 598363
- New version 1.15: http://www.parallelrealities.co.uk/2014/03/the-legend-of-edgar-115.html

* Sat Feb 15 2014 dams <dams> 1.14-1.mga5
+ Revision: 591508
- new version 1.14

* Sat Oct 19 2013 umeabot <umeabot> 1.12-3.mga4
+ Revision: 533644
- Mageia 4 Mass Rebuild

* Mon Sep 02 2013 akien <akien> 1.12-2.mga4
+ Revision: 474416
- Replaced a sed command by a patch
- Removed unnecessary permission fixes (upstream notified about the files)
- Moved things from -data to main package

* Thu Aug 29 2013 akien <akien> 1.12-1.mga4
+ Revision: 472916
- Upstream release 1.12
- Changelog: http://sourceforge.net/projects/legendofedgar/files/1.12/README.txt
- Music now plays fine since upstream changed format to ogg
- New upstream release 1.11
- Changelog: * Menus now work correctly with analogue controls * Fixed some music files failing to load on Windows
- Split into two binary RPMs: edgar and edgar-data
- Fixed a typo
- Fixed EOL spec file
- New upstream version 1.10
- See r457749 for License change related to version 1.10
- Spaces to tabs, fixed a typo
- Adapt spec file to Mageia policies and buildsystem
- imported package edgar


* Wed Jun 19 2013 Andrea Musuruane <musuruan@gmail.com> - 1.09-1
- Updated to upstream 1.09-1

* Thu Apr 04 2013 Andrea Musuruane <musuruan@gmail.com> - 1.08-1
- Updated to upstream 1.08-1

* Sun Mar 03 2013 Andrea Musuruane <musuruan@gmail.com> - 1.07-1
- Updated to upstream 1.07-1

* Fri Feb 08 2013 Andrea Musuruane <musuruan@gmail.com> - 1.06-2
- Updated to upstream 1.06-2

* Sat Jan 26 2013 Andrea Musuruane <musuruan@gmail.com> - 1.06-1
- Updated to upstream 1.06-1

* Thu Dec 06 2012 Andrea Musuruane <musuruan@gmail.com> - 1.05-1
- Updated to upstream 1.05-1

* Sun Oct 28 2012 Andrea Musuruane <musuruan@gmail.com> - 1.04-2
- Fixed license (BZ #2378)

* Sat Sep 22 2012 Andrea Musuruane <musuruan@gmail.com> - 1.04-1
- Updated to upstream 1.04-1

* Wed Aug 08 2012 Andrea Musuruane <musuruan@gmail.com> - 1.03-1
- Updated to upstream 1.03-1

* Sat Jun 23 2012 Andrea Musuruane <musuruan@gmail.com> - 1.02-2
- Updated to upstream 1.02-2

* Sun Jun 17 2012 Andrea Musuruane <musuruan@gmail.com> - 1.02-1
- Updated to upstream 1.02-1

* Wed May 16 2012 Andrea Musuruane <musuruan@gmail.com> - 1.01-1
- Updated to upstream 1.01-2

* Thu Apr 26 2012 Andrea Musuruane <musuruan@gmail.com> - 1.00-1
- First release

